<?php

namespace Admin\Controller;

use Think\Controller;

/**
 * 后台登录（控制器）
 *
 * @author sunxiaodong
 */
class LoginController extends Controller {

    /**
     * 管理员登录
     * sunxiaodong
     * 2017/2/8
     */
    public function index() {
        if (IS_POST) {
            /*$code = I('post.code');                //这是提取页面上打字输入的code即验证码
            if ($this->check_verify($code) === false) {       //给function.php中定义的函数check_code，然后它返回真假
                $this->error('验证码错误', U("Login/index"), 1);
            } else {*/
                $username = I('post.name');
                $password = md5(I('post.password'));
                if ($list = M('admin')->where("name='$username' and password='$password'")->find()) {
                    session('id', $list['id'], 7200);
                    session('name', $list['name'], 7200);

                    return $this->success("登录成功！", U("Index/index"), "", 1);
                } else {
                    $this->error("用户名或密码错误！", "", 2);
                }
            // }
        }
        $this->display();
    }

    /*
     * 管理员退出
     * sunxiaodong
     */

    public function out() {
        $id = session('id');
        session('id', null);
        session('name', null);
        session('[destroy]');
        $this->success('退出成功！', U('Login/index'));
    }

    //验证码方法
    public function selfverify() {
        
        $config = array(
            'fontSize' => 30, // 验证码字体大小
            'length' => 4, // 验证码位数
            'useNoise' => false, // 关闭验证码杂点
        );
        $verify = new \Think\Verify($config);
        $verify->entry();
    }

//验证码检查
    function check_verify($code, $id = '') {
        $verify = new \Think\Verify();
        return $verify->check($code, $id);
    }

}
